### Hierarchy

- WebGLContextAttributes

## Index

### Properties

- alpha
- antialias
- depth
- failIfMajorPerformanceCaveat
- powerPreference
- premultipliedAlpha
- preserveDrawingBuffer
- stencil

## Properties

### Optional alpha

alpha: GLboolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1597

### Optional antialias

antialias: GLboolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1598

### Optional depth

depth: GLboolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1599

### Optional failIfMajorPerformanceCaveat

failIfMajorPerformanceCaveat: undefined | false | true

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1600

### Optional powerPreference

powerPreference: WebGLPowerPreference

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1601

### Optional premultipliedAlpha

premultipliedAlpha: GLboolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1602

### Optional preserveDrawingBuffer

preserveDrawingBuffer: GLboolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1603

### Optional stencil

stencil: GLboolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1604

Generated using TypeDoc